/* *******************************************************************
   Webserver
       page.htm         a simple HTML5 page
   ***************************************************************** */

void server10Setup() {
  server.on("/10.htm", handlePage10);            // send a simple page
}


// *** a first page ***  page.htm
// just a basic examples
void handlePage10() {
  String message;

  message =  F("<!DOCTYPE html>\n"
               "<html lang=\"en\">\n"  // english or any other language code you using for your page content
               "<head>\n"
               "<title>My First Page</title>\n"
               "<meta http-equiv=\"content-type\" content=\"text/html; charset=utf-8\">\n"
               "<meta name=\"viewport\" content=\"width=device-width\">\n"
               "</head>\n"
               "<body>\n");
  message += F("<h1>My First Page</h1>\n");
  message += F("<h2>Hello World</h2>\n"
               "<p>This is just a simple Demo of a Webserver running on an ESP32 or ESP8266. "
               "Give your webpage a well definied structure. </p>"
               "<p>Finally check the generated HTML with an HTML validator to ensure proper HTML. "
               "</p>\n");

  message += F("<h2>Lorem ipsum</h2>\n"
               "<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, "
               "sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. "
               "At vero eos et accusam et justo duo dolores et ea rebum. "
               "Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. "
               "Lorem ipsum dolor sit amet, consetetur sadipscing elitr, "
               "sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. "
               "At vero eos et accusam et justo duo dolores et ea rebum. "
               "Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. "
               "</p>\n");

  message += F("</body>\n"
               "</html>\n");

  server.send(200, "text/html", message);
}
//
